﻿@using APIFestival.Models;
@using SiteWebFestival.Controllers;
@model APIFestival.Models.Festival

@{
    ViewData["Title"] = "ConsulterProgrammation";
    //APIFestival.Models.JouerSur joueursur = (APIFestival.Models.JouerSur)ViewData["ConsulterProgrammation"];
    // APIFestival.Models.Artiste artiste = (APIFestival.Models.Artiste)ViewData["artiste"];
    //APIFestival.Models.Scene scene = (APIFestival.Models.Scene)ViewData["scene"];
}

<h1>Consulter la programmation</h1>

VOUS ETES BIEN SUR LA PAGE QUI AFFICHE LA PROGRAMMATION DE VOTRE FESTIVAL.


<table class=" table">
    <thead>

        <tr>

            <th>
                @Html.Label("SCENE")


            </th>

            <th>
                @Html.Label("ARTISTE")


            </th>

            <th>
                @Html.Label("DATE DEBUT PRESTATION")


            </th>

            <th>
                @Html.Label("DATE FIN PRESTATION")


            </th>

        </tr>

    </thead>
    <tbody>


        @foreach (var s in Model.jouerSurs)
        {

            Artiste artiste = _DAOAPI.Instance.GetArtiste(s.IdArtiste).Result;
            Scene scene = _DAOAPI.Instance.GetScene(s.IdScn).Result;

        <tr>

            <td>
                @Html.DisplayFor(modelItem => scene.NomScene)
            </td>

            <td>
                @Html.DisplayFor(modelItem => artiste.Nom)
            </td>



            <td>
                @s.DateHeureDebutPerformance.ToString("dd-MM-yyyy") à @s.DateHeureDebutPerformance.ToString("HH:mm")
            </td>

            <td>
                @s.DateHeureFinPerformance.ToString("dd-MM-yyyy") à @s.DateHeureFinPerformance.ToString("HH:mm")
            
            </td>


        </tr>
        }

    </tbody>

</table>




